package com.steerinfo.meterwork.meterworkcarmetertime.model;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author zhangnan
 * @Date 2022-10-26 10:53
 * @Version 1.0
 */
public class PointDetailsVo {

    @ApiModelProperty(value="计量点编号",required=true)
    String baseSpotNo;
    @ApiModelProperty(value="计量点名称",required=true)
    String baseSpotName;
    /**
     * 汽车一次计量编号(ACTUAL_FIRST_NO,VARCHAR,55)
     */
    @ApiModelProperty(value="汽车一次计量编号",required=true)
    private String actualFirstNo;

    /**
     * 上秤时间(START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="上秤时间",required=false)
    private Date startTime;

    /**
     * 计量开始时间(METER_START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计量开始时间",required=false)
    private Date meterStartTime;

    /**
     * 计量结束时间(METER_END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计量结束时间",required=false)
    private Date meterEndTime;

    /**
     * 下秤时间(END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="下秤时间",required=false)
    private Date endTime;

    /**
     * 总计量时间(TOTAL_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="总计量时间",required=false)
    private Short totalNum;

    /**
     * 上秤到判稳计量时间(UP_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="上秤到判稳计量时间",required=false)
    private Short upNum;

    /**
     * 判稳后程序计量时间(METER_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="判稳后程序计量时间",required=false)
    private Short meterNum;

    /**
     * 判稳计量到下秤计量时间(DOWN_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="判稳计量到下秤计量时间",required=false)
    private Short downNum;

    /**
     * 状态（1：有效；0：无效）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（1：有效；0：无效）",required=false)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo;
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName;
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getMeterStartTime() {
        return meterStartTime;
    }

    public void setMeterStartTime(Date meterStartTime) {
        this.meterStartTime = meterStartTime;
    }

    public Date getMeterEndTime() {
        return meterEndTime;
    }

    public void setMeterEndTime(Date meterEndTime) {
        this.meterEndTime = meterEndTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Short getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Short totalNum) {
        this.totalNum = totalNum;
    }

    public Short getUpNum() {
        return upNum;
    }

    public void setUpNum(Short upNum) {
        this.upNum = upNum;
    }

    public Short getMeterNum() {
        return meterNum;
    }

    public void setMeterNum(Short meterNum) {
        this.meterNum = meterNum;
    }

    public Short getDownNum() {
        return downNum;
    }

    public void setDownNum(Short downNum) {
        this.downNum = downNum;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo;
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
